Name:           python-trove-classifiers
Version:        2024.3.3
Release:        %mkrel 1
Summary:        Canonical source for classifiers on PyPI
Group:          System/Packaging

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/pypa/trove-classifiers
Source:         %{pypi_source trove-classifiers}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Canonical source for classifiers on PyPI.
Classifiers categorize projects per PEP 301. Use this package to validate 
classifiers in packages for PyPI upload or download.}


%description %_description

%package -n     python3-trove-classifiers
Summary:        %{summary}

%description -n python3-trove-classifiers %_description


%prep
%autosetup -p1 -n trove-classifiers-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files trove_classifiers


%check
%pyproject_check_import


%files -n python3-trove-classifiers -f %{pyproject_files}



%changelog
* Thu Mar 28 2024 papoteur <papoteur> 2024.3.3-1.mga10
+ Revision: 2052978
- new version 2024.3.3

* Thu Dec 07 2023 wally <wally> 2023.10.18-2.mga10
+ Revision: 2014972
- rebuild for py3.12

* Mon Nov 06 2023 papoteur <papoteur> 2023.10.18-1.mga10
+ Revision: 2004838
- new 2023.10.18

* Sun Oct 01 2023 papoteur <papoteur> 2023.9.19-1.mga10
+ Revision: 1992833
- new 2023.9.19

* Fri Sep 01 2023 papoteur <papoteur> 2023.8.7-1.mga10
+ Revision: 1983115
- new 2023.8.7

* Tue Jan 31 2023 papoteur <papoteur> 2023.1.20-1.mga9
+ Revision: 1937237
- imported package python-trove-classifiers

